## pxlib 0.6.5

=== CMakeLists.txt ===
option(ENABLE_GSF   "Build with gsf support" OFF)

if(CMAKE_COMPILER_IS_GNUCC)
  add_definitions(
    -DHAVE_CONFIG_H
    -Wall -Wpointer-arith -W
    ${PXLIB_EXTRA_GCC_FLAGS}
  )
else(CMAKE_COMPILER_IS_GNUCC)
  add_definitions(-DHAVE_CONFIG_H)
endif(CMAKE_COMPILER_IS_GNUCC)

#check system for includes
include(CheckIncludeFile)
check_include_file("fcntl.h"           HAVE_FCNTL_H)
check_include_file("iconv.h"           HAVE_ICONV_H)
check_include_file("locale.h"          HAVE_LOCALE_H)
check_include_file("unistd.h"          HAVE_UNISTD_H)
check_include_file("inttypes.h"        HAVE_INTTYPES_H)
check_include_file("stdarg.h"          HAVE_STDARG_H)
check_include_file("stddef.h"          HAVE_STDDEF_H)
check_include_file("stdint.h"          HAVE_STDINT_H)
check_include_file("stdlib.h"          HAVE_STDLIB_H)
check_include_file("stdbool.h"         HAVE_STDBOOL_H)
check_include_file("string.h"          HAVE_STRING_H)
check_include_file("strings.h"         HAVE_STRINGS_H)
check_include_file("sys/time.h"        HAVE_SYS_TIME_H)
check_include_file("sys/types.h"       HAVE_SYS_TYPES_H)
check_include_file("gsf/gsf-input-stdio.h" HAVE_GSF_GSFINPUTSTDIO_H)

#Functions
include(CheckFunctionExists)

#Big or little endian ?
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

if(HAVE_ICONV_H)
	set(PX_HAVE_ICONV 1)
	set(PX_HAVE_RECODE 0)
else(HAVE_ICONV_H)
	if(HAVE_RECODE_H)
		set(PX_HAVE_RECODE 1)
	endif(HAVE_RECODE_H)
endif(HAVE_ICONV_H)

if(HAVE_GSF_GSFINPUTSTDIO_H)
	set(PX_HAVE_GSF 1)
else(HAVE_GSF_GSFINPUTSTDIO_H)
	set(PX_HAVE_GSF 0)
endif(HAVE_GSF_GSFINPUTSTDIO_H)

SUBDIRS( src )
SET(SOURCES
	src/gregor.c
	src/paradox.c
	src/px_crypt.c
	src/px_encode.c
	src/px_error.c
	src/px_head.c
	src/px_io.c
	src/px_memory.c
	src/px_memprof.c
	src/px_misc.c
	src/fileformat.h
	src/px_crypt.h
	src/px_encode.h
	src/px_error.h
	src/px_head.h
	src/px_intern.h
	src/px_io.h
	src/px_memory.h
	src/px_misc.h
	src/sdncal.h
	include/paradox-gsf.h
	include/paradox.h
	include/paradox-mp.h
	include/pxversion.h
  )

INCLUDE_DIRECTORIES( include . )

ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ADD_DEFINITIONS(-DPXLIB_EXPORTS)

#packaging
set(CPACK_PACKAGE_NAME pxlib)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Reading and writing paradox databases")
set(CPACK_PACKAGE_VENDOR "pxlib")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "4")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "/usr")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")

configure_file(${CMAKE_SOURCE_DIR}/cmakeconfig.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_SOURCE_DIR}/include/paradox.h.in ${CMAKE_BINARY_DIR}/include/paradox.h)
configure_file(${CMAKE_SOURCE_DIR}/include/paradox-gsf.h.in ${CMAKE_BINARY_DIR}/include/paradox-gsf.h)
ADD_LIBRARY(pxlib SHARED ${SOURCES})

## pxlib 0.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -90,8 +90,8 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "4")
-set(CPACK_PACKAGE_VERSION_PATCH "0")
+set(CPACK_PACKAGE_VERSION_MINOR "6")
+set(CPACK_PACKAGE_VERSION_PATCH "6")
 set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")

=== debian/changelog ===
pxlib (0.6.8-1) unstable; urgency=low

  * New upstream release (Closes: #918125)
  * Switch to automatic dbgsym packages.                                       
  * Bump standards-version                                                     
  * Use debhelper 11 compat, which uses autoreconf and --parallel by default. 

 -- Uwe Steinmann <steinm@debian.org>  Fri, 22 Nov 2019 08:15:15 +0100

pxlib (0.6.7-1) unstable; urgency=low

  * Set Standards Version to 3.9.8
  * turn on support for gsf again (upstream has fixed checking for gsf)
    (Closes: #821268)
  * New upstream release (Closes: #832288)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 26 Jul 2016 12:34:53 +0200

pxlib (0.6.6-1) unstable; urgency=low

  * Set compat level to 5 (Closes: #817634)
  * Fix various lintian warnings
  * Set Standards Version to 3.97
  * use dpkg-buildflags, don't use dh_clean anymore
  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 22 Mar 2016 11:08:21 +0100

pxlib (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Fixed some lintian warnings

 -- Uwe Steinmann <steinm@debian.org>  Tue, 10 Jan 2012 16:09:28 +0100

pxlib (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * PX_timestamp2string() did not calculate the seconds correctly
    due to an long overflow (Closes: #524374)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 27 Apr 2009 08:05:06 +0200

pxlib (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * make watch file work with sourceforge (Closes: #450212)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 27 Nov 2007 10:44:32 +0100

pxlib (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 12 Sep 2007 17:33:43 +0200

pxlib (0.6.1-3) unstable; urgency=low

  * Rebuild against new libgsf-1-114 (Ubuntu patch)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 28 Jul 2006 09:16:07 +0200

pxlib (0.6.1-2) unstable; urgency=low

  * Do not include .la file in pxlib-dev (Closes: #374754)
  * make pxlib-dev depend on libgsf-1-dev

 -- Uwe Steinmann <steinm@debian.org>  Wed, 21 Jun 2006 11:57:45 +0200

pxlib (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 15 Feb 2006 12:26:20 +0100

pxlib (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Mon, 06 Feb 2006 12:26:20 +0100

pxlib (0.5.1-2) unstable; urgency=low

  * Rebuild due to library versioning change of libgsf-1 (Closes: #338711)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 14 Nov 2005 07:27:16 +0100

pxlib (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 11 Aug 2005 08:49:44 +0200

pxlib (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * created POT file for translator (Closes: #313531)
  * fixed bug in de.po (Closes: #313932)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 14 Jul 2005 10:09:23 +0200

pxlib (0.4.4-2) unstable; urgency=low

  * Fixed wrong build dependency.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 25 May 2005 09:39:40 +0100

pxlib (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 25 May 2005 07:18:00 +0100

pxlib (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * pushed shlibs version 0.4.3

 -- Uwe Steinmann <steinm@debian.org>  Thu, 30 Dec 2004 13:47:43 +0100

pxlib (0.4.2-2) unstable; urgency=low

  * Fixed download url in debian/copyright (Closes: #285175)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 14 Dec 2004 12:14:54 +0100

pxlib (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Added libgsf-1-dev to BuildDepend (Closes: #283067)
  * Removed debian/shlibs.pxlib1

 -- Uwe Steinmann <steinm@debian.org>  Fri, 12 Nov 2004 12:20:04 +0100

pxlib (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * pushed policy version to 3.6.1
  * better package description
  * fixed lintian reported errors

 -- Uwe Steinmann <steinm@debian.org>  Mon, 08 Nov 2004 14:37:58 +0100

pxlib (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 02 Nov 2004 15:17:52 +0100

pxlib (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Mon, 13 Sep 2004 16:48:16 +0200

pxlib (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 20 Jul 2004 18:52:41 +0200

pxlib (0.2.11-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 16 Jul 2004 08:11:21 +0200

pxlib (0.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 15 Jul 2004 10:32:23 +0200

pxlib (0.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 27 May 2004 14:14:12 +0200

pxlib (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer email address.

 -- Uwe Steinmann <steinm@debian.org>  Mon, 08 Mar 2004 08:11:23 +0200

pxlib (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 22 Jan 2004 08:11:23 +0200

pxlib (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 15 Jan 2004 08:23:58 +0200

pxlib (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 18 Dec 2003 18:48:10 +0200

pxlib (0.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Tue, 09 Dec 2003 14:19:59 +0200

pxlib (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Fri, 05 Dec 2003 16:59:59 +0200

pxlib (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * added german translation

 -- Uwe Steinmann <uwe@steinmann.cx>  Mon, 17 Nov 2003 06:29:57 +0200

pxlib (0.2.1-1) unstable; urgency=low

  * New upstream release.



=== debian/watch ===
version=2
http://sf.net/pxlib/pxlib-([0-9.]+)\.tar\.gz

## pxlib 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(pxlib)

option(ENABLE_GSF "Build with gsf support" OFF)

if(CMAKE_COMPILER_IS_GNUCC)
    add_definitions(
        -DHAVE_CONFIG_H
        -Wall -Wpointer-arith -W
        ${PXLIB_EXTRA_GCC_FLAGS}
    )
else()
    add_definitions(-DHAVE_CONFIG_H)
endif()

# Check system for includes
include(CheckIncludeFile)
check_include_file("fcntl.h"           HAVE_FCNTL_H)
check_include_file("iconv.h"           HAVE_ICONV_H)
check_include_file("locale.h"          HAVE_LOCALE_H)
check_include_file("unistd.h"          HAVE_UNISTD_H)
check_include_file("inttypes.h"        HAVE_INTTYPES_H)
check_include_file("stdarg.h"          HAVE_STDARG_H)
check_include_file("stddef.h"          HAVE_STDDEF_H)
check_include_file("stdint.h"          HAVE_STDINT_H)
check_include_file("stdlib.h"          HAVE_STDLIB_H)
check_include_file("stdbool.h"         HAVE_STDBOOL_H)
check_include_file("string.h"          HAVE_STRING_H)
check_include_file("strings.h"         HAVE_STRINGS_H)
check_include_file("sys/time.h"        HAVE_SYS_TIME_H)
check_include_file("sys/types.h"       HAVE_SYS_TYPES_H)
check_include_file("gsf/gsf-input-stdio.h" HAVE_GSF_GSFINPUTSTDIO_H)

# Functions
include(CheckFunctionExists)

# Endianess
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

if(HAVE_ICONV_H)
    set(PX_HAVE_ICONV 1)
    set(PX_HAVE_RECODE 0)
else()
    set(PX_HAVE_ICONV 0)
    if(HAVE_RECODE_H)
        set(PX_HAVE_RECODE 1)
    else()
        set(PX_HAVE_RECODE 0)
    endif()
endif()

if(HAVE_GSF_GSFINPUTSTDIO_H)
    set(PX_HAVE_GSF 1)
else()
    set(PX_HAVE_GSF 0)
endif()

set(SOURCES
    src/gregor.c
    src/paradox.c
    src/px_crypt.c
    src/px_encode.c
    src/px_error.c
    src/px_head.c
    src/px_io.c
    src/px_memory.c
    src/px_memprof.c
    src/px_misc.c
    src/fileformat.h
    src/px_crypt.h
    src/px_encode.h
    src/px_error.h
    src/px_head.h
    src/px_intern.h
    src/px_io.h
    src/px_memory.h
    src/px_misc.h
    src/sdncal.h
    include/paradox-gsf.h
    include/paradox.h
    include/paradox-mp.h
    include/pxversion.h
)

add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
add_definitions(-DPXLIB_EXPORTS)

# Versioning
set(PXLIB_MAJOR_VERSION "0")
set(PXLIB_MINOR_VERSION "6")
set(PXLIB_MICRO_VERSION "8")
set(PXLIB_DOTTED_VERSION "${PXLIB_MAJOR_VERSION}.${PXLIB_MINOR_VERSION}.${PXLIB_MICRO_VERSION}")

# Packaging
set(CPACK_PACKAGE_NAME pxlib)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Reading and writing paradox databases")
set(CPACK_PACKAGE_VENDOR "pxlib")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR ${PXLIB_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${PXLIB_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${PXLIB_MICRO_VERSION})
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "/usr")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")

configure_file(${CMAKE_SOURCE_DIR}/cmakeconfig.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_SOURCE_DIR}/include/pxversion.h.in ${CMAKE_BINARY_DIR}/pxversion.h)

configure_file(${CMAKE_SOURCE_DIR}/include/paradox.h.in ${CMAKE_BINARY_DIR}/include/paradox.h)
configure_file(${CMAKE_SOURCE_DIR}/include/paradox-gsf.h.in ${CMAKE_BINARY_DIR}/include/paradox-gsf.h)

add_library(pxlib SHARED ${SOURCES})

target_include_directories(pxlib
    PRIVATE ${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}
    PUBLIC ${CMAKE_BINARY_DIR}/include
)

=== debian/changelog ===
pxlib (0.6.9-1) unstable; urgency=low

  * New upstream release (Closes: #1075405)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 26 Jul 2024 15:52:06 +0200

=== debian/control ===
Source: pxlib
Priority: optional
Section: libs
Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends: debhelper (>= 11), quilt, intltool (>= 0.30), docbook-utils, docbook-to-man, libgsf-1-dev (>= 1.13.2)
Standards-Version: 4.4.0
Homepage: http://pxlib.sourceforge.net/

Package: pxlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, pxlib1 (= ${binary:Version}), libgsf-1-dev (>= 1.13.2)
Description: library to read/write Paradox database files (development files)
 Library to read and write Paradox DB files. All versions
 of Paradox are supported. Binary large objects can only be
 read. Primary index files can be read and written. This
 package contains the development files.

Package: pxlib1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to read/write Paradox database files
 Library to read and write Paradox DB files. All versions
 of Paradox are supported. Binary large objects can only be
 read. Primary index files can be read and written.
